<?php

  $fashion_shop_storefront_theme_custom_setting_css = '';

	// Global Color
	$fashion_shop_storefront_theme_color = get_theme_mod('fashion_shop_storefront_theme_color', '#fc1a1a');

	$fashion_shop_storefront_theme_custom_setting_css .=':root {';
		$fashion_shop_storefront_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($fashion_shop_storefront_theme_color ).'!important;';
	$fashion_shop_storefront_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$fashion_shop_storefront_scroll_alignment = get_theme_mod('fashion_shop_storefront_scroll_alignment', 'right');

    if($fashion_shop_storefront_scroll_alignment == 'right'){
        $fashion_shop_storefront_theme_custom_setting_css .='.scroll-up{';
            $fashion_shop_storefront_theme_custom_setting_css .='right: 30px;!important;';
			$fashion_shop_storefront_theme_custom_setting_css .='left: auto;!important;';
        $fashion_shop_storefront_theme_custom_setting_css .='}';
    }else if($fashion_shop_storefront_scroll_alignment == 'center'){
        $fashion_shop_storefront_theme_custom_setting_css .='.scroll-up{';
            $fashion_shop_storefront_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $fashion_shop_storefront_theme_custom_setting_css .='}';
    }else if($fashion_shop_storefront_scroll_alignment == 'left'){
        $fashion_shop_storefront_theme_custom_setting_css .='.scroll-up{';
            $fashion_shop_storefront_theme_custom_setting_css .='left: 30px;!important;';
			$fashion_shop_storefront_theme_custom_setting_css .='right: auto;!important;';
        $fashion_shop_storefront_theme_custom_setting_css .='}';
    }

	// Related Product

	$fashion_shop_storefront_show_related_product = get_theme_mod('fashion_shop_storefront_show_related_product', true );

	if($fashion_shop_storefront_show_related_product != true){
		$fashion_shop_storefront_theme_custom_setting_css .='.related.products{';
			$fashion_shop_storefront_theme_custom_setting_css .='display: none;';
		$fashion_shop_storefront_theme_custom_setting_css .='}';
	}  
	
	// Featured Image Hover Effect
    $fashion_shop_storefront_show_featured = get_theme_mod('fashion_shop_storefront_featured_image_hide_show', 1);
    $fashion_shop_storefront_hover_effect = get_theme_mod('fashion_shop_storefront_single_post_featured_image_hover','none');

    if ( $fashion_shop_storefront_show_featured && $fashion_shop_storefront_hover_effect !== 'none' ) {

    $fashion_shop_storefront_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $fashion_shop_storefront_hover_effect === 'zoom-in' ) {
        $fashion_shop_storefront_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $fashion_shop_storefront_hover_effect === 'zoom-out' ) {
        $fashion_shop_storefront_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $fashion_shop_storefront_hover_effect === 'grayscale' ) {
        $fashion_shop_storefront_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $fashion_shop_storefront_hover_effect === 'sepia' ) {
        $fashion_shop_storefront_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $fashion_shop_storefront_hover_effect === 'blur' ) {
        $fashion_shop_storefront_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $fashion_shop_storefront_hover_effect === 'bright' ) {
        $fashion_shop_storefront_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $fashion_shop_storefront_hover_effect === 'translate' ) {
        $fashion_shop_storefront_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $fashion_shop_storefront_hover_effect === 'scale' ) {
        $fashion_shop_storefront_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

// Product Featured Image Hover Effect
    $fashion_shop_storefront_show_featured = get_theme_mod('fashion_shop_storefront_featured_image_hide_show', 1);
    $fashion_shop_storefront_hover_effect = get_theme_mod('fashion_shop_storefront_product_featured_image_hover','none');

    if ( $fashion_shop_storefront_show_featured && $fashion_shop_storefront_hover_effect !== 'none' ) {

    $fashion_shop_storefront_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $fashion_shop_storefront_hover_effect === 'zoom-in' ) {
        $fashion_shop_storefront_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $fashion_shop_storefront_hover_effect === 'zoom-out' ) {
        $fashion_shop_storefront_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $fashion_shop_storefront_hover_effect === 'grayscale' ) {
        $fashion_shop_storefront_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $fashion_shop_storefront_hover_effect === 'sepia' ) {
        $fashion_shop_storefront_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $fashion_shop_storefront_hover_effect === 'blur' ) {
        $fashion_shop_storefront_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $fashion_shop_storefront_hover_effect === 'bright' ) {
        $fashion_shop_storefront_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $fashion_shop_storefront_hover_effect === 'translate' ) {
        $fashion_shop_storefront_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $fashion_shop_storefront_hover_effect === 'scale' ) {
        $fashion_shop_storefront_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   
